###################################################
### chunk number 1: 
###################################################
#line 34 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
require(gstudio)
data(araptus_attenuatus)
sonora <- araptus_attenuatus[ araptus_attenuatus$Species=="CladeB" , ]
summary(sonora)


###################################################
### chunk number 2: 
###################################################
#line 51 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
d.jaccard <- genetic.distance(sonora,stratum="Pop",loci="EN",mode="Jaccard")
dim(d.jaccard$LTRS)


###################################################
### chunk number 3: 
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
d.bray <- genetic.distance(sonora,stratum="Pop",loci=c("LTRS","EN"),mode="Bray")
summary(d.bray)


###################################################
### chunk number 4: 
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
locAA <- Locus( c("A","A") )
locBB <- Locus( c("B","B") )
locAB <- Locus( c("A","B") )
locBC <- Locus( c("B","C") )
vAA <- as.vector( locAA, c("A","B","C") )
vBB <- as.vector( locBB, c("A","B","C") )
vAB <- as.vector( locAB, c("A","B","C") )
vBC <- as.vector( locBC, c("A","B","C") )
dist.AA.BB <- 2*( (vAA - vBB) %*% (vAA - vBB) )
dist.AA.BB
dist.AA.AB <- 2*( (vAA - vAB) %*% (vAA - vAB) )
dist.AA.AB
dist.AA.BC <- 2*( (vAA - vBC) %*% (vAA - vBC) )
dist.AA.BC


###################################################
### chunk number 5: 
###################################################
#line 134 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
d.amova <- genetic.distance(sonora,stratum="Pop",mode="AMOVA",loci="EN")
summary(d.amova)


###################################################
### chunk number 6: sonora_ind_dist
###################################################
#line 146 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
df <- data.frame( jaccard = d.jaccard$EN[lower.tri(d.jaccard$EN)],bray = d.bray$EN[lower.tri(d.bray$EN)], amova = d.amova$EN[lower.tri(d.amova$EN)])
summary(df)
cor(df)
pairs(df)


###################################################
### chunk number 7: 
###################################################
#line 220 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
d.eucl <- genetic.distance(sonora,stratum="Pop",loci="EN",mode="Euclidean")
d.eucl


###################################################
### chunk number 8: 
###################################################
#line 268 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
d.cavalli <- genetic.distance(sonora,"Pop","EN","Cavalli")
d.cavalli


###################################################
### chunk number 9: 
###################################################
#line 290 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
d.nei <- genetic.distance(sonora,"Pop","EN","Nei")
d.nei


###################################################
### chunk number 10: sonora_strata_dist
###################################################
#line 311 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/GeneticDistance.Rnw"
baja <- araptus_attenuatus[araptus_attenuatus$Species != "CladeB", ]
euc <- genetic.distance(baja,"Pop","EN","Euclidean")$EN
cav <- genetic.distance(baja,"Pop","EN","Cavalli")$EN
nei <- genetic.distance(baja,"Pop","EN","Nei")$EN
phys <- stratum.distance(baja,"Pop",lat="Lat",lon="Long")
df <- data.frame(Euclidean=euc[lower.tri(euc)], Cavalli=cav[lower.tri(cav)], Nei=nei[lower.tri(nei)], Physical.Dist=phys[lower.tri(phys)] )
pairs( df )
cor(df)


