###################################################
### chunk number 1: 
###################################################
#line 29 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
require(gstudio)
data(araptus_attenuatus)
baja <- araptus_attenuatus[araptus_attenuatus$Species != "CladeB",]


###################################################
### chunk number 2: 
###################################################
#line 39 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
graph <- population.graph(baja,"Pop")
summary(graph)
l <- layout.fruchterman.reingold(graph)
plot(graph,layout=l,vertex.label=V(graph)$name)


###################################################
### chunk number 3: 
###################################################
#line 48 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
table(baja$Species)


###################################################
### chunk number 4: 
###################################################
#line 54 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
getCladeColor <- function(pop,data) {
	inds <- data$Species[data$Pop==pop]
	levels.inds <- levels(as.factor(as.character(inds)))
	if(length(levels.inds)==2) return("red")
	else if( levels.inds=="CladeA" ) return("blue")
	else return("green")
}
colors <- unlist(lapply(V(graph)$name, function(x) getCladeColor(x,baja)))
plot(graph,layout=l,vertex.label=V(graph)$name,vertex.color=colors)


###################################################
### chunk number 5: 
###################################################
#line 76 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
baja.cladeC <- baja[baja$Species=="CladeC",]
inds.per.pop <- lapply( partition(baja.cladeC,"Pop"), function(x) dim(x)[1] )
## Examine inds per pop to figure out which have <5 individuals save in smPops
smPops <- c("Const","ESan","157","73","Aqu","Mat","98","75")
baja.cladeC <- baja.cladeC[ !(baja.cladeC$Pop %in% smPops) , ]
graph.cladeC <- population.graph(baja.cladeC,"Pop")
summary(graph.cladeC)
l <- layout.fruchterman.reingold(graph.cladeC)
plot(graph.cladeC,layout=l,vertex.label=V(graph.cladeC)$name)


###################################################
### chunk number 6: 
###################################################
#line 95 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
pop.betweenness <- betweenness(graph.cladeC,directed=F)
plot(graph.cladeC,layout=l,vertex.label=V(graph.cladeC)$name,vertex.size=pop.betweenness)


###################################################
### chunk number 7: 
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
cor.test(V(graph.cladeC)$size,pop.betweenness,method="spearman")


###################################################
### chunk number 8: 
###################################################
#line 113 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
connected.to.84 <- subcomponent(graph.cladeC,v="84")
med.graph <- subgraph(graph.cladeC,v=connected.to.84)
med.layout <- layout.fruchterman.reingold(med.graph)
plot(med.graph,layout=med.layout,vertex.label=V(med.graph)$name)
D <- shortest.paths(med.graph)


###################################################
### chunk number 9: 
###################################################
#line 123 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
pops <- V(med.graph)$name
P <- stratum.distance(baja.cladeC,"Pop",lat="Lat",lon="Long",subset=pops)
plot(D[lower.tri(D)] ~ P[lower.tri(P)], bty="n",xlab="Physical Distance",ylab="Graph Distance")


###################################################
### chunk number 10: 
###################################################
#line 132 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
require(ecodist,quietly=T)
mantel(as.dist(D)~as.dist(P)) ##pval3 is Ho: Mantel-R=0


###################################################
### chunk number 11: 
###################################################
#line 144 "d:/Rcompile/CRANpkg/local/2.12/gstudio/inst/doc/PopulationGraphs.Rnw"
tmp.pop <- baja[baja$Pop %in% c("9","84","88","89","159","171","173","175","177")]
tmp.graph <- population.graph(tmp.pop,"Pop")
plot(tmp.graph,layout=med.layout,vertex.label=V(tmp.graph)$name)


